<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <title> pcb-rnd rosetta hello world (popup window) </title>
  <meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
</head>
<body>
<!-- ******* DO NOT EDIT THIS FILE, it is generated by rosetta_genpages.sh ******* -->
&lt;-- back to the <a href="../index.html">index of Rosetta examples</a>
<h1>hello world (popup window)</h1>
Create a new action hello() that prints "Hello world!" in a popup window.
<H2> Example implementations </H2>
<a href="ex.awk">awk</a>
 | 
<a href="ex.bash">bash</a>
 | 
<a href="ex.lua">lua</a>
 | 
<a href="ex.pl">pl</a>
 | 
<a href="ex.py">py</a>
 | 
<a href="ex.rb">rb</a>
 | 
<a href="ex.scm">scm</a>
 | 
<a href="ex.stt">stt</a>
 | 
<a href="ex.tcl">tcl</a>
<h2> Explanation, step by step </h2>
Load packages the script depends on: 
<ul> 	
<li> 
<i>actions</i>
 for registering the new action; 	
<li> 
<i>dialogs</i>
 for creating a dialog box. </ul>
 
<p> Create a function 
<i>ev_action</i>
 that will be called when any of the actions registered by the script is executed. The script registers only one action, so it does not need to check which action caused the function to be called. 
<p> When the action event is called, use 
<i><a href="../../packages/dialogs_ref.html#dialog_report">dialog_report</a></i>
 to pop up a report dialog. First argument donates the name (title) of the window, the second is the text printed in the window. 
<p> In the "main" section of the script, bind event 
<i><a href="../../packages/actions_ref.html#ACTE_action">ACTE_action</a></i>
 to our local function 
<i>ev_action</i>
 - this gets 
<i>ev_action</i>
 to be called when any of the actions registered by this script is executed. 
<p> Finally use 
<i><a href="../../packages/actions_ref.html#action_register">action_register</a></i>
 to register the action: 
<ul> 	
<li> first argument is the name of the action 	
<li> second is the xy query string; it is empty since this action won't need coordinates to operate on 	
<li> third is the description that shows up in dumps and helps 	
<li> fourth is the syntax description (also for helps) </ul>
 
</body>
</html>
